package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.entity.SysRoleUser;
import com.ssm.manage.query.RoleUserRequest;
import com.ssm.manage.query.UserRequest;

import java.util.List;

public interface SsmSysRoleUserService extends BaseService<SysRoleUser> {
    int addRoleUser(RoleUserRequest roleUserRequest) throws SmsException;
    PageInfo<SysRoleUser> rolePage( RoleUserRequest roleUserRequest);
    List<SysRoleUser> roleUserList(RoleUserRequest roleUserRequest);
}
